LibreOffice: XDataDefinitionSupplier Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XDataDefinitionSupplier Interface Referencepublished

provides the access to data definition beans from a connected database. More...

`import "XDataDefinitionSupplier.idl";`

Inheritance diagram for XDataDefinitionSupplier:

## Public Member Functions
XTablesSupplier | getDataDefinitionByConnection ([in]com::sun::star::sdbc::XConnection connection) raises (com::sun::star::sdbc::SQLException)
| returns at least the container of tables related to the given connection.
XTablesSupplier | getDataDefinitionByURL ([in]string url, [in]sequence< com::sun::star::beans::PropertyValue > info) raises (com::sun::star::sdbc::SQLException)
| returns at least the container of tables related to the given Database URL.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides the access to data definition beans from a connected database.

## Member Function Documentation

## ◆ getDataDefinitionByConnection()

XTablesSupplier getDataDefinitionByConnection | ( | [in] com::sun::star::sdbc::XConnection | connection | ) |
raises | ( | com::sun::star::sdbc::SQLException ) |  |  |

returns at least the container of tables related to the given connection.

Parameters

  connection | the related connection

Returns
  the container

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

## ◆ getDataDefinitionByURL()

XTablesSupplier getDataDefinitionByURL | ( | [in] string | url,
|  | [in] sequence< com::sun::star::beans::PropertyValue > | info )
raises | ( | com::sun::star::sdbc::SQLException ) |  |  |

returns at least the container of tables related to the given Database URL.

Parameters

  url | a database url of the form sdbc:subprotocol:subname
  info | a list of arbitrary string tag/value pairs as connection arguments; normally at least a "user" and "password" property should be included

Returns
  the container

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbcx/XDataDefinitionSupplier.idl